@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;800;900&display=swap');

:root {
  --main-color: #000;
}

::-webkit-scrollbar {
  width: 10px
}

label {
  display: none;
}
::-webkit-scrollbar-track {
  /* box-shadow: inset 0 0 5px grey; */
  border-radius: 0
}

::-webkit-scrollbar-thumb {
  background: var(--main-color);
  border-radius: 0
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html,
body {
  width: 100%;
  height: 100%;
  min-width: 1060px;
}

/*-----------------*/
/*-----Nav Bar-----*/
/*-----------------*/

header {
  position: fixed;
  z-index: 100;
  top: 0;
  width: 100%;
  padding: 10px 100px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: white;
}

header img {
  width: auto;
  height: 50px;
  /* padding: 10px; */
  border-radius: 5px;
  display: flex;
  margin-top: 13px;
  opacity: 25%;
  position: absolute;
  left: 177px;
  z-index: -1;
}

.navigation {
  display: flex;
  justify-content: space-between;
  gap: 30px;
  padding: 10px;
  background-color: white;
  border-radius: 10px;
}

.navigation a {
  color: rgb(0, 0, 0);
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1px;
  padding: 8px 15px;
  border-radius: 5px;
  transition: 0.3s;
  white-space: nowrap;
}

.navigation a:hover {
  background: var(--main-color);
  color: rgb(255, 255, 255);
}

header span {
  color: white;
}

header .logo {
  position: relative;
  color: rgb(0, 0, 0);
  font-size: 45px;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 800;
  letter-spacing: 1px;
  text-shadow: 1px 1px 2px rgb(0, 0, 0);
  display: flex;
}

.dropdown {
  float: right;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-size: 18px;
  border: none;
  outline: none;
  color: rgb(0, 0, 0);
  padding: 8px 20px;
  /* background-color: white; */
  margin: 0;
  letter-spacing: 1px;
  white-space: nowrap;
  font-weight: 500;
  background: none;
  border-radius: 5px;
  width: 142px;
  background: var(--main-color);
  color: white;
}

.navbar a:hover,
.dropdown:hover .dropbtn {
  background-color: var(--main-color);
  color: white;
  transition: 0.3s;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ffffff;
  min-width: 142px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  border-radius: 5px;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
  white-space: nowrap;
}

.dropdown-content a:hover {
  background-color: rgb(255, 255, 255);
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown-content a {
  margin: 5px;
  border-radius: 0px;
  padding: 10px;
  text-align: center;
  border-radius: 5px;
}


.navigation .dropdown .dropdown-content .link:hover {
  background-color: var(--color);
  color: rgb(255, 255, 255);
}

.scolling {
  background-color: white;
  box-shadow: 0 1px 1px rgb(0 0 0 / 8%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 16%), 0 8px 8px rgb(0 0 0 / 5%);
  transition: box-shadow 0.5s;
}

.scroll_at_top {
  box-shadow: 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%);
  transition: box-shadow 0.5s;
}


@media (max-width: 1501px) {

  header {
      padding: 20px 30px;
      min-width: 380px;
  }

  #navbar .navigation {
      display: none;
  }

  #nav_box {
      display: flex;
      background-color: white;
      padding: 13px;
      border-radius: 5px;
      font-size: 25px;
      cursor: pointer;
      transition: 0.3s;
      transition-property: color;
  }

  label .close-btn {
      display: none;
  }

  #check:checked~header .navigation {
      z-index: 5;
      position: fixed;
      background: rgba(255, 255, 255, 0.9);
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      gap: 30px;
  }

  #check:checked~header .navigation a {
      font-weight: 700;
      /* margin-right: 0; */
      /* margin-bottom: 50px; */
      letter-spacing: 2px;
  }

  #check:checked~header label .menu-btn {
      display: none;
  }

  #check:checked~header label .close-btn {
      z-index: 5;
      display: block;
      position: relative;
  }

  .dropdown .dropbtn {
      font-weight: 700;
  }
}

.check_label {
  display: none;
}

#check {
  z-index: 3;
  display: none;
}

/* @media(max-width: 1400px) {
  header {
    padding: 30px 30px;
  }
} */

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}

/* Add some top padding to the page content to prevent sudden quick movement (as the navigation bar gets a new position at the top of the page (position:fixed and top:0) */
.sticky+.content {
  padding-top: 60px;
}


.scolling {
  /* background-color: white; */
  box-shadow: 0 1px 1px rgb(0 0 0 / 8%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 16%), 0 8px 8px rgb(0 0 0 / 5%);
  transition: box-shadow 0.8s;
}

.scroll_at_top {
  /* background-color: rgba(255, 255, 255, 0); */
  box-shadow: 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%);
  transition: box-shadow 0.8s;

}

@media(max-width: 1100px) {

  header .navigation {
    display: none;
  }

  .check_label {
    display: block;
    font-size: 25px;
    cursor: pointer;
    transition: 0.3s;
    transition-property: color;
  }

  .check_label .close-btn {
    display: none;
  }

  #check:checked~header .navigation {
    z-index: 2;
    position: fixed;
    background: rgba(255, 255, 255, 0.9);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  #check:checked~header .navigation a {
    font-weight: 700;
    margin-right: 0;
    /* margin-bottom: 50px; */
    letter-spacing: 2px;
  }

  #check:checked~header .check_label .menu-btn {
    display: none;
  }

  #check:checked~header .check_label .close-btn {
    z-index: 5;
    display: block;
    position: relative;
  }

  header {
    padding: 20px 30px;
    min-width: 380px;
  }

  .content {
    margin: 0px auto;
    width: 380px;
  }

  .content .info {
    margin: 0px 30px;
  }


  .content .info .right {
    padding-left: 0%;
    text-align: center;
  }

  .content .info .images {
    width: 15rem;
  }

  .content .info .row {
    flex-direction: column;
  }

  .content .info h2 {
    /* font-size: 45px; */
    line-height: 50px;
  }

  .content .info p {
    text-align: center;
    font-size: 1rem;
    color: #000000;
    font-weight: 400;
    margin: 10px 0px;
  }

  .content .info img {
    width: 99.9%;
  }

  .media-icons p {
    text-align: center;
    font-size: 1rem;
    color: #000000;
    font-weight: 100;
    margin: 30px 50px;
    /* margin-bottom: 40px; */
  }

}

/*-------------*/
/*-----Map-----*/
/*-------------*/
.map {
  position: absolute;
  width: 1438px;
  top: 122px;
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

/*---------------*/
/*-----Graph-----*/
/*---------------*/
.graph {
  /* background-color: black; */
  padding-top: 71px;
  display: flex;
  justify-content: center;
  height: 716px;
  width: 1241px;
  overflow: hidden;
  margin: 122px auto auto auto;
}

/* The parent element */
.css-chart {
  /* The chart borders */
  /*border: 1px solid;
    /* The height, which is initially defined in the HTML */
  height: var(--height-size);
  /* A little breathing room should there be others items around the chart */
  margin: 1em;
  /* Remove any padding so we have as much space to work with inside the element */
  padding: 0;
  position: relative;
  /* The chart width, as defined in the HTML */
  width: var(--width-size);
}

/* The unordered list holding the data points, no list styling and no spacing */
.line-chart {
  list-style: none;
  margin: 0;
  padding: 0;

}

/* Each point on the chart, each a 12px circle with a light border */
.data-point {
  background-color: #000000;
  color: white;
  border: 2px solid #000000;
  border-radius: 50%;
  height: 30px;
  position: absolute;
  width: 30px;
  bottom: var(--y);
  left: var(--x);
  font-size: 17px;
  text-align: center;
}

.data-plot {

  border: 2px solid #e03131;
  background-color: #e03131;
  color: white;
  border-radius: 50%;
  height: 30px;
  position: absolute;
  width: 30px;
  bottom: var(--y);
  left: var(--x);
  font-size: 17px;

}

.data-radius {
  border: 2px solid #e03131;
  position: absolute;
  /* bottom: 110px;
  left: 210px; */
  top: var(--y);
  left: var(--x);
  border-radius: 50%;
  width: 100px;
  height: 100px;
  transform: translate(-50%, -50%);
  transition: width 0.5s, height 0.5s;
}

/* .data-radius:hover {
  width: 400px;
  height: 400px;
} */

.line-segment {
  background-color: #2C3531;
  bottom: var(--y);
  height: 1px;
  left: var(--x);
  position: absolute;
  transform: rotate(calc(var(--angle) * 1deg));
  width: calc(var(--hypotenuse) * 1px);
  z-index: -1;
}

.dummy {
  height: 1000px;
  width: 100%;
}

/*-------------------------*/
/*----fixed data table----*/
/*-----------------------*/
.fixed_data {
  position: relative;
  width: 90%;
  margin: auto;
}

table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  margin: 30px auto 30px auto;

}

table td,
table th {
  border: 1px solid #ddd;
  text-align: center;
  padding: 8px;
  /* background-color: #ffffff; */
  /* background-color: #f2f2f2; */


}

/* table tr:nth-child(even) {
  background-color: #f2f2f2;
} */

table tr:nth-child(odd) {
  background-color: #f2f2f2;
}

table tr:hover {
  background-color: #b1b1b1;
}

table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #ffffff;
  color: rgb(0, 0, 0);
  text-align: center;
}

.footer {
  padding: 80px;
}

/*----------------------*/
/*----update config ----*/
/*----------------------*/

.update_config {
  display: flex;
  flex-direction: column;
  margin-bottom: 30px;
  gap: 30px;
}

.update_config h3 {
  font-weight: 300;
  text-align: center;
}

.update_config form {
  display: flex;
  flex-direction: row;
  /* width: 200px; */
  gap: 30px;

  margin: auto;
}

.update_config form input {
  padding: 5px;
  width: 150px;
  border-radius: 5px;
  border: 1px solid rgb(155, 155, 155);
}

.submit {
  cursor: pointer;
}

.error {
  text-align: center;
  color: #e03131;
}

.error_border{
  border: 1px solid red;
}


.client_data {
  overflow-y: scroll;
  height: 500px;
  margin: auto;
  width: 90%;
  margin-bottom: 80px;
}

/*-----------------------*/
/*----search_vehicle-----*/
/*-----------------------*/

.search_vehicle{
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin-bottom: 30px;
}
.search_vehicle .flex{
  display: flex;
  flex-direction: row;
  gap: 30px;
  margin:auto;
}
.search_vehicle h3 {
  font-weight: 300;
  text-align: center;
}

.search_vehicle button{
cursor: pointer;
}
.button_style{
  padding: 5px;
  width: 150px;
  border-radius: 5px;
  border: 1px solid rgb(155, 155, 155);
}

.contact-us {
  border-top: 10px solid var(--main-color);
  padding-top: 80px;
}

.contact-us h2 {
  text-align: center;
  font-size: 2rem;
  margin-bottom: 30px;
  font-weight: 300;
  letter-spacing: 2px;
  line-height: 60px;
}

.contact-us .flex-row {
  justify-content: space-between;
  max-width: 1200px;
}

.contact-us .flex-row p {
  width: 300px;
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  line-height: 34px;
}

.contact-us .flex-row p i {
  margin-right: 15px;
}

.contact-us .flex-row p span {
  font-size: 18px;
  font-weight: 300;
}
.flex-row {
  display: flex;
  /* flex-direction: row; */
  justify-content: center;
  margin: 0px auto;
  /* background: linear-gradient(rgba(40, 48, 90, 0.9),  rgba(40, 58, 90, 0.9)), url(../image/111.jpg) fixed center center; */
}

.hyperlink-1 {
  color: black;
}
@media (max-width: 1200px) {

  .flex-row {
    flex-direction: column;
  }

  .flex-row p {
    margin: 30px auto;
  }

  /* #navbar .navigation .dropdown {
          margin-bottom: 50px;
      } */
  .dropdown .dropbtn {
    font-weight: 700;
  }

  .dropbtn_admin {
    width: 205px
  }
}

.p-copyright{
  text-align: center;
  padding: 30px;
}

